| Home | Libraries | People | FAQ | More

## Function copy_old

boost::contract::copy_old — Query if old values need to be copied (for virtual public functions and public function overrides).

## Synopsis

    // In header: <boost/contract/old.hpp>

    bool copy_old(virtual_ * v);

## Description

For example, this function always returns false when both postconditions and exception guarantees are not being checked (see ``BOOST_CONTRACT_NO_OLDS``). In addition, this function returns false when overridden functions are being called subsequent times by this library to support subcontracting. This function is usually only called by the code expanded by ``BOOST_CONTRACT_OLDOF``.

See Also: No Macros

Parameters:

`v` | The trailing parameter of type ``boost::contract::virtual_```*` and default value `0` from the enclosing virtual or overriding public function declaring the contract.

Returns: | True if old values need to be copied, false otherwise.